% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_unsafe_chunk}
\alias{torch_unsafe_chunk}
\title{Unsafe_chunk}
\usage{
torch_unsafe_chunk(self, chunks, dim = 1L)
}
\arguments{
\item{self}{(Tensor) the tensor to split}

\item{chunks}{(int) number of chunks to return}

\item{dim}{(int) dimension along which to split the tensor}
}
\description{
Unsafe_chunk
}
\section{unsafe_chunk(input, chunks, dim=0) -> List of Tensors }{


Works like \code{\link[=torch_chunk]{torch_chunk()}} but without enforcing the autograd restrictions
on inplace modification of the outputs.
}

\section{Warning}{

This function is safe to use as long as only the input, or only the outputs
are modified inplace after calling this function. It is user's
responsibility to ensure that is the case. If both the input and one or more
of the outputs are modified inplace, gradients computed by autograd will be
silently incorrect.
}

